#ifndef __MQTT_H__
#define __MQTT_H__

#include <mosquitto.h>
#include <cjson/cJSON.h>
#include<time.h>
#include <pthread.h>
#include "ip.h"
#include "serial.h"



#define BROKER_ADDRESS "119.45.167.177"
#define BROKER_PORT 1883
#define CLIENT_ID "feichirensheng/carorship"
#define TOPIC "controlcar0001"
#define USERNAME "admin"    // 替换为你的用户名
#define PASSWORD "admin"       // 替换为你的密码

extern struct mosquitto *mosq;

extern time_t gStart;

extern int gPwmCount;  // 计数

extern int gmessage_type;

extern unsigned char gtypeTemp;

int mqtt_init();
int mqtt_create(struct mosquitto *mosq);
void on_connect(struct mosquitto *mosq, void *obj, int rc);
void on_message(struct mosquitto *mosq, void *obj, const struct mosquitto_message *message) ;
void mqtt_wirte();
int mqtt_cycle(struct mosquitto *mosq);
int mqtt_clean(struct mosquitto *mosq);
#endif